package com.blueland.constant;

/**
 * @auther xcy
 * @create 2022-04-08 8:57
 */
public class CommonConstant {

    /**
     * 日志类型
     */
    public enum LogType {
        OPERATE("操作日志", "operate"),
        AUDIT("审计日志", "audit"),
        BUSI("业务日志", "busi"),
        INTERFACE("接口日志", "interface"),
        PAGEVIEW("浏览日志", "pageview");
        private String name;
        private String code;

        LogType(String name, String code) {
            this.name = name;
            this.code = code;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }
    }

    /**
     * 对接结果
     */
    public static String RESULT_SUCCESS = "success";//成功
    public static String RESULT_FAILED = "failed";//失败
    public static String RESULT_PROCESSED = "processed";//处理中

    /**
     * 操作类型
     */

    public static final String SAVE = "save"; // 新增

    public static final String UPDATE = "update"; // 修改

    public static final String DELETE = "delete"; // 删除

    public static final String SEARCH = "search"; // 查询

    public static final String EXPORT = "export"; // 导入导出

    public static final String JOB = "job"; // 暂停


}
